Name:           flwrap
Version:        1.3.5
Release:        1%{?dist}
Summary:        Software utility for file encapsulation for amateur radio use

License:        GPLv3+
URL:            http://www.w1hkj.com/
Source0:        http://www.w1hkj.com/files/%{name}/%{name}-%{version}.tar.gz
Source1:        http://www.w1hkj.com/files/%{name}/%{name}-help.pdf

BuildRequires:  gcc-c++
BuildRequires:  fltk-devel
BuildRequires:  desktop-file-utils

%description
Flwrap is a software utility for Amateur Radio use.  Its purpose is to
encapsulate both text and binary files in a way that allows them to be
transmitted over any of several digital modes verified at the receipt end for
correctness.


%prep
%autosetup


%build
%configure
%make_build


%install
%make_install
desktop-file-validate %{buildroot}%{_datadir}/applications/%{name}.desktop

cp -p %{SOURCE1} .


%files
%license COPYING
%doc README flwrap-help.pdf
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.xpm


%changelog
* Mon Apr 09 2018 Richard Shaw <hobbes1069@gmail.com> - 1.3.5-1
- Update to 1.3.5.

* Tue Nov  3 2015 Richard Shaw <hobbes1069@gmail.com> - 1.3.4-1
- Initial packaging.
